require([
    "aps/load",
    "aps/Output",
    "aps/ready!"
], function (load, Output) {
    var instructions = '<p class="has-line-data" data-line-start="1" data-line-end="2">Welcome to the CloudBlue Connect Adapter!</p>\n' +
        '<p class="has-line-data" data-line-start="2" data-line-end="3">This application is being used by the rest of the CloudBlue Commerce Extension components to interact with the CloudBlue Commerce APIs. Please note that when registering this Hub in the Connect Provider Portal, you will need the following information:</p>\n' +
        '<p class="has-line-data" data-line-start="4" data-line-end="5">Hub Instance ID: <strong>' + aps.context.vars.oaRootResource.aps.id + '</strong></p>\n' +
        '<p class="has-line-data" data-line-start="6" data-line-end="7">Once Hub is registered in the CloudBlue Connect using the information above, all management operations must be performed through the Connect Extension application.\n' + '</p>';
    var page = ["aps/PageContainer", {
        id: "page"
    }, [
        ["aps/ActiveList", [
            ["aps/ActiveItem", {
                iconName: 'images/Connect.png',
                title: _('CloudBlue Connect Adapter'),
                id: 'settings_item',
                collapsible: false,
                collapsed: false,
                description: [
                    new Output({
                        content: _('This utility application is a part of the CloudBlue Connect Extension for the CloudBlue Commerce.'),
                        "class": "summary-item"
                    })
                ]
            }, [
                ["aps/Output", {
                    id: "instructions",
                    content: instructions
                }]
            ]
            ]
        ]]
    ]];
    load(page);
});